Index: code/branches/spacestationentry/data/levels/EntryTest.oxw
===================================================================
--- code/branches/spacestationentry/data/levels/EntryTest.oxw	(revision 9708)
+++ code/branches/spacestationentry/data/levels/EntryTest.oxw	(revision 9710)
@@ -56,5 +56,5 @@
         <events>
             <trigger>
-                <TeamSpawnPoint team=0 position="800,700,600" direction="-1,0,0" spawnclass=SpaceShip pawndesign=spaceshipassff>
+                <TeamSpawnPoint team=0 position="-47000,-1000,1300" direction="-1,0,0" spawnclass=SpaceShip pawndesign=spaceshipassff>
                   <EventTrigger invert=true>
                     <events>
@@ -365,563 +365,4 @@
 Always take care of the enemy that is the closest to you." failmessage="" completeMessage="Yeah! You did it." />
     </LocalQuest>
-<!-- --------------------- END OF QUESTS -------------------------- -->
-
-
-    <DistanceTrigger name="spawndelaytrigger0" position="800,700,600" target="Pawn" distance=10 stayActive="true" delay=2/>
-    <SimpleNotification message="Press (F3) to see your mission briefing.">
-        <events>
-            <trigger>
-                <EventListener event="spawndelaytrigger0" />
-            </trigger>
-        </events>
-    </SimpleNotification>
-
-<!-- Blinking Billboard should be replaced with WAYPOINT -->
-<BlinkingBillboard position="-900,640,600" frequency=0.6 amplitude=3 material="Flares/lensflare" colour="1,1,0.05">
-          <events>
-            <visibility>
-              <EventTrigger invert=true>
-                <events>
-                  <trigger>
-                    <EventListener event=flying4 />
-                  </trigger>
-                </events>
-              </EventTrigger>
-            </visibility>
-          </events>
-</BlinkingBillboard>
-<Billboard position="-900,640,600" amplitude=1 material="Flares/lensflare" colour="0,0.8,0.1">
-          <events>
-            <visibility>
-              <EventTrigger>
-                <events>
-                  <trigger>
-                    <EventListener event=flying4 />
-                  </trigger>
-                </events>
-              </EventTrigger>
-            </visibility>
-          </events>
-</Billboard>
-
-<!-------------------------------------- PART ZERO: How to fly --------------------------------------->
-
-    <DistanceTrigger name="flying1" position="800,700,600" target="Pawn" distance=10 stayActive="true" delay=6/>
-    <SimpleNotification message="Let's fly to the blinking light.">
-        <events>
-            <trigger>
-                <EventListener event="flying1" />
-            </trigger>
-        </events>
-    </SimpleNotification>
-
-    <DistanceTrigger name="flying2" position="800,700,600" target="Pawn" distance=10 stayActive="true" delay=10/>
-    <SimpleNotification message="Use (W) to accelerate and the mouse to steer.">
-        <events>
-            <trigger>
-                <EventListener event="flying2" />
-            </trigger>
-        </events>
-    </SimpleNotification>
-
-<!-- QUEST-Trigger && Message Trigger: navigationend is activated after flying4 was triggered -->
-    <DistanceTrigger name="navigationend" position="0,0,0" distance=950 target="SpaceShip" stayActive="false" delay=1.1>
-        <DistanceTrigger name="flying4" position="-900,640,600" target="Pawn" distance=60 stayActive="true" delay=1/>
-    </DistanceTrigger>
-
-
-    <SimpleNotification message="Three arrows just appeared.">
-        <events>
-            <trigger>
-                <EventListener event="flying4" />
-            </trigger>
-        </events>
-    </SimpleNotification>
-
-    <DistanceTrigger name="flying5" position="-900,640,600" target="Pawn" distance=60 stayActive="true" delay=5/>
-    <SimpleNotification message="Follow those arrows.">
-        <events>
-            <trigger>
-                <EventListener event="flying5" />
-            </trigger>
-        </events>
-    </SimpleNotification>
-
-<!-------------------------------------- PART ONE : Destroy boxes --------------------------------------->
-<!-- @ triggers: spawndelaytriggerX: textoutput only if no box was destroyed -->
-    <Trigger name="spawndelaytrigger1" mode="and" stayActive="true">
-        <DistanceTrigger position="-900,640,600" target="Pawn" distance=60 stayActive="true" delay=9 />
-        <EventTrigger activations="1" invert="true">
-          <events>
-            <trigger>
-              <EventListener event="boxtrigger1" />
-            </trigger>
-          </events>
-        </EventTrigger>
-    </Trigger>
-
-    <Trigger name="spawndelaytrigger2" mode="and" stayActive="true">
-        <DistanceTrigger position="-900,640,600" target="Pawn" distance=60 stayActive="true" delay=13 />
-        <EventTrigger activations="1" invert="true">
-          <events>
-            <trigger>
-              <EventListener event="boxtrigger1" />
-            </trigger>
-          </events>
-        </EventTrigger>
-    </Trigger>
-
-    <Trigger name="spawndelaytrigger3" mode="and" stayActive="true">
-        <DistanceTrigger position="-900,640,600" target="Pawn" distance=60 stayActive="true" delay=17 />
-        <EventTrigger activations="1" invert="true">
-          <events>
-            <trigger>
-              <EventListener event="boxtrigger1" />
-            </trigger>
-          </events>
-        </EventTrigger>
-    </Trigger>
-
-<!-- @Text: How to shoot-->
-    <SimpleNotification message="Destroy the four boxes." broadcast="true">
-        <events>
-            <trigger>
-                <EventListener event="spawndelaytrigger1" />
-            </trigger>
-        </events>
-    </SimpleNotification>
-
-    <SimpleNotification message=" 1. Aim the a red cycle." broadcast="true">
-        <events>
-            <trigger>
-                <EventListener event="spawndelaytrigger2" />
-            </trigger>
-        </events>
-    </SimpleNotification>
-
-    <SimpleNotification message="2. Click! (hold the left mouse button)" broadcast="true">
-        <events>
-            <trigger>
-                <EventListener event="spawndelaytrigger3" />
-            </trigger>
-        </events>
-    </SimpleNotification>
-
-<!-- @Objects: 4 boxes (uncontrolled pawns) -->
-    <Pawn team=1 health=30 position="0,0,0" direction="0,-1,0" collisionType=dynamic mass=100000 name=box radarname = "Box 4" >
-        <events>
-          <visibility>
-            <EventListener event="flying4" />
-          </visibility>
-        </events>
-        <attached>
-            <Model position="0,0,0" mesh="crate.mesh" scale3D="3,3,3" />
-        </attached>
-        <collisionShapes>
-            <BoxCollisionShape position="0,0,0" halfExtents="15,15,15" />
-        </collisionShapes>
-    </Pawn>
-
-    <Pawn team=1 health=30 position="0,100,0" direction="0,-1,0" collisionType=dynamic mass=100000 name=box radarname = "Box 3">
-        <events>
-          <visibility>
-            <EventListener event="flying4" />
-          </visibility>
-        </events>
-        <attached>
-           <Model position="0,0,0" mesh="crate.mesh" scale3D="3,3,3" />
-        </attached>
-        <collisionShapes>
-            <BoxCollisionShape position="0,0,0" halfExtents="15,15,15" />
-        </collisionShapes>
-    </Pawn>
-
-    <Pawn health=30 position="0,200,0" direction="0,-1,0" collisionType=dynamic mass=100000 name=box team=1 radarname = "Box 2">
-        <events>
-          <visibility>
-            <EventListener event="flying4" />
-          </visibility>
-        </events>
-        <attached>
-           <Model position="0,0,0" mesh="crate.mesh" scale3D="3,3,3" />
-        </attached>
-        <collisionShapes>
-            <BoxCollisionShape position="0,0,0" halfExtents="15,15,15" />
-        </collisionShapes>
-    </Pawn>
-
-    <Pawn health=30 position="0,300,0" direction="0,-1,0" collisionType=dynamic mass=100000 name=box team=1 radarname = "Box 1">
-        <events>
-          <visibility>
-            <EventListener event="flying4" />
-          </visibility>
-        </events>
-        <attached>
-            <Model position="0,0,0" mesh="crate.mesh" scale3D="3,3,3" />
-        </attached>
-        <collisionShapes>
-           <BoxCollisionShape position="0,0,0" halfExtents="15,15,15" />
-        </collisionShapes>
-    </Pawn>
-
-<!-- @Triggers: boxtrigger1 <-> one   box   destroyed
-                boxtrigger2 <-> two   boxes destroyed
-                boxtrigger3 <-> three boxes destroyed
-                boxtrigger4 <-> four  boxes destroyed  -->
-    <EventTrigger name="boxtrigger4" activations="1" stayactive="true" delay=0.1>
-      <events>
-        <trigger>
-          <EventListener event="box" />
-        </trigger>
-      </events>
-      <EventTrigger name="boxtrigger3" activations="1" stayactive="true" delay=0.1>
-        <events>
-          <trigger>
-            <EventListener event="box" />
-          </trigger>
-        </events>
-        <EventTrigger name="boxtrigger2" activations="1" stayactive="true" delay=0.1>
-          <events>
-            <trigger>
-              <EventListener event="box" />
-            </trigger>
-          </events>
-          <EventTrigger name="boxtrigger1" activations="1" stayactive="true" delay=0.1>
-            <events>
-              <trigger>
-                <EventListener event="box" />
-              </trigger>
-            </events>
-          </EventTrigger>
-        </EventTrigger>
-      </EventTrigger>
-    </EventTrigger>
-
-
-  <SimpleNotification message="Right click on the next target." broadcast="true">
-        <events>
-            <trigger>
-                <EventListener event="boxtrigger1" />
-            </trigger>
-        </events>
-    </SimpleNotification>
-
-  <SimpleNotification message="Middle click on the next target." broadcast="true">
-        <events>
-            <trigger>
-                <EventListener event="boxtrigger2" />
-            </trigger>
-        </events>
-    </SimpleNotification>
-
-  <SimpleNotification message="Aim at the last target and press (T)." broadcast="true">
-        <events>
-            <trigger>
-                <EventListener event="boxtrigger3" />
-            </trigger>
-        </events>
-    </SimpleNotification>
-
-  <SimpleNotification message="Try to hit the pirates while you are flying." broadcast="true">
-        <events>
-            <trigger>
-                <EventListener event="boxtrigger4" />
-            </trigger>
-        </events>
-    </SimpleNotification>
-
-
-<!--------------------------------------PART TWO: Moving targets --------------------------------------->
-
-<!-- @Objects: 2 pirates moving in squares, nonlethal -->
-                <SpaceShip position="0,2000,200" lookat="0,0,0" name="movingtarget" radarname="Pirate">
-                            <events>
-                                <visibility>
-                                    <EventListener event="boxtrigger4" />
-                                </visibility>
-                            </events>
-                    <templates>
-                      <Template link=spaceshippirate />
-                    </templates>
-                    <controller>
-                      <WaypointController team=1>
-                         <waypoints>
-                          <Model mesh="cube.mesh" scale=8 position="  0,1700,-200" />
-                          <Model mesh="cube.mesh" scale=8 position="  0,1700,-700" />
-                          <Model mesh="cube.mesh" scale=8 position="500,1700,-700" />
-                          <Model mesh="cube.mesh" scale=8 position="500,1700,-200" />
-                       </waypoints>
-                    </WaypointController>
-                  </controller>
-                </SpaceShip>
-
-                <SpaceShip position="0,2000,400" lookat="0,0,0" name="movingtarget" radarname="Pirate">
-                            <events>
-                                <visibility>
-                                    <EventListener event="boxtrigger4" />
-                                </visibility>
-                            </events>
-                  <templates>
-                    <Template link=spaceshippirate />
-                  </templates>
-                  <controller>
-                    <WaypointController team=1>
-                      <waypoints>
-                        <Model mesh="cube.mesh" scale=8 position="  0,2400,1000" />
-                        <Model mesh="cube.mesh" scale=8 position="  0,2400, 500" />
-                        <Model mesh="cube.mesh" scale=8 position="500,2400, 500" />
-                        <Model mesh="cube.mesh" scale=8 position="500,2400,1000" />
-                      </waypoints>
-                    </WaypointController>
-                  </controller>
-                </SpaceShip>
-
-<!-- @Triggers: movingpirates1 <-> one  pirate  dead
-                movingpirates2 <-> both pirates dead  -->
-    <EventTrigger name="movingpirates2" activations="1" stayactive="true" delay=0.1>
-      <events>
-        <trigger>
-          <EventListener event="movingtarget" />
-        </trigger>
-      </events>
-      <EventTrigger name="movingpirates1" activations="1" stayactive="true" delay=0.1>
-        <events>
-          <trigger>
-            <EventListener event="movingtarget" />
-          </trigger>
-        </events>
-      </EventTrigger>
-    </EventTrigger>
-
-
-    <SimpleNotification message="Now get the other one."  broadcast="true">
-        <events>
-            <trigger>
-                <EventListener event="movingpirates1" />
-            </trigger>
-        </events>
-    </SimpleNotification>
-
-    <SimpleNotification message="Fly towards the space station (grey dot)."  broadcast="true">
-        <events>
-            <trigger>
-                <EventListener event="movingpirates2" />
-            </trigger>
-        </events>
-    </SimpleNotification>
-
-
-
-<!--------------------------------------PART THREE: the space station --------------------------------------->
-    <DistanceTrigger name="duball1" position="-1000,-300,700" target="Pawn" distance=700 stayActive="true" delay=1 >
-      <events>
-        <activity>
-          <EventListener event="movingpirates2" />
-        </activity>
-      </events>
-    </DistanceTrigger>
-
-    <Trigger name="duball2" mode="and" stayActive="true">
-        <EventTrigger activations="1" stayactive="true" delay=4 >
-           <events>
-              <trigger>
-                 <EventListener event="duball1" />
-              </trigger>
-           </events>
-        </EventTrigger>
-        <EventTrigger activations="1" invert="true">
-          <events>
-            <trigger>
-              <EventListener event="toHydroFarmer" />
-            </trigger>
-          </events>
-        </EventTrigger>
-    </Trigger>
-
-    <Trigger name="duball3" mode="and" stayActive="true">
-        <EventTrigger activations="1" stayactive="true" delay=4 >
-           <events>
-              <trigger>
-                 <EventListener event="duball2" />
-              </trigger>
-           </events>
-        </EventTrigger>
-        <EventTrigger activations="1" invert="true">
-          <events>
-            <trigger>
-              <EventListener event="toHydroFarmer" />
-            </trigger>
-          </events>
-        </EventTrigger>
-    </Trigger>
-
-
-    <SimpleNotification message="Welcome to the Duball Space Station!">
-        <events>
-            <trigger>
-                <EventListener event=duball1 />
-            </trigger>
-        </events>
-    </SimpleNotification>
-
-    <SimpleNotification message="Warning: Something big is coming." broadcast="true">
-        <events>
-            <trigger>
-                <EventListener event=duball2 />
-            </trigger>
-        </events>
-    </SimpleNotification>
-
-    <SimpleNotification message="Use the portals to get help. (grey dot)" broadcast="true">
-        <events>
-            <trigger>
-                <EventListener event=duball3 />
-            </trigger>
-        </events>
-    </SimpleNotification>
-
-
-<!-- @Objects: DuBall Space Station, (no pawn!) -->
-    <StaticEntity position="-1000,-300,700" collisionType=static>
-      <attached>
-        <Model scale=13 mesh="DuBall1.mesh" position = "-100,0,0"/>
-        <Model scale=13 mesh="DuBall2.mesh" position = "100,0,0"/>
-        <Billboard scale=7 material="Examples/Flare" colour="0.5,0.5,0.5" position = "-100,0,0"/>
-        <Billboard scale=7 material="Examples/Flare" colour="0.5,0.5,0.5" position = "100,0,0"/>
-      </attached>
-      <collisionShapes>
-        <SphereCollisionShape radius="80"            position = "-100,0,0" />
-        <SphereCollisionShape radius="120"           position = "100,0,0" />
-        <BoxCollisionShape    halfExtents="90,25,45" position = "-155,0,40" />
-      </collisionShapes>
-    </StaticEntity>
-
-
-<!-- @Objects: PORTAL: from DuBall to HydroHarvester  -->
-    <Template name=PortalDefault>
-        <PortalEndPoint>
-            <attached>
-                <Billboard material="Portals/Default" />
-            </attached>
-        </PortalEndPoint>
-    </Template>
-
-    <PortalEndPoint position="-1400,-500,800" id="1" distance="50" target="MobileEntity" design="PortalDefault">
-          <events>
-            <activity>
-              <Trigger mode="or" activations="2">
-                <Trigger mode="and" activations="1">
-                  <EventTrigger>
-                    <events>
-                      <trigger>
-                        <EventListener event="movingpirates2" />
-                      </trigger>
-                    </events>
-                  </EventTrigger>
-                  <EventTrigger invert=true>
-                    <events>
-                      <trigger>
-                        <EventListener event="toHydroFarmer" />
-                      </trigger>
-                    </events>
-                  </EventTrigger>
-                </Trigger>
-                <Trigger mode="and" activations="1">
-                  <EventTrigger>
-                    <events>
-                      <trigger>
-                        <EventListener event="ondock" />
-                      </trigger>
-                    </events>
-                  </EventTrigger>
-                  <EventTrigger invert=true>
-                    <events>
-                      <trigger>
-                        <EventListener event="attack" />
-                      </trigger>
-                    </events>
-                  </EventTrigger>
-                </Trigger>
-                <EventTrigger>
-                  <events>
-                    <trigger>
-                      <EventListener event="HydroFarmer" />
-                    </trigger>
-                  </events>
-                </EventTrigger>
-              </Trigger>
-            </activity>
-          </events>
-    </PortalEndPoint>
-
-    <PortalEndPoint position="-47000,-1000,1300" id="2" distance="70" target="MobileEntity" design="PortalDefault">
-          <events>
-            <activity>
-              <Trigger mode="or" activations="3">
-                <Trigger mode="and" activations="1">
-                  <EventTrigger>
-                    <events>
-                      <trigger>
-                        <EventListener event="movingpirates2" />
-                      </trigger>
-                    </events>
-                  </EventTrigger>
-                  <EventTrigger invert=true>
-                    <events>
-                      <trigger>
-                        <EventListener event="toHydroFarmer" />
-                      </trigger>
-                    </events>
-                  </EventTrigger>
-                </Trigger>
-                <Trigger mode="and" activations="1">
-                  <EventTrigger>
-                    <events>
-                      <trigger>
-                        <EventListener event="ondock" />
-                      </trigger>
-                    </events>
-                  </EventTrigger>
-                  <EventTrigger invert=true>
-                    <events>
-                      <trigger>
-                        <EventListener event="attack" />
-                      </trigger>
-                    </events>
-                  </EventTrigger>
-                </Trigger>
-                <EventTrigger>
-                  <events>
-                    <trigger>
-                      <EventListener event="HydroFarmer" />
-                    </trigger>
-                  </events>
-                </EventTrigger>
-              </Trigger>
-            </activity>
-          </events>
-    </PortalEndPoint>
-    <PortalLink fromID="1" toID="2" />
-    <PortalLink fromID="2" toID="1" />
-<!-- ????????????????????????????????????????????????????? why does this NOT work ??
-                <Trigger mode="and" activations="1">
-                  <EventTrigger>
-                    <events>
-                      <trigger>
-                        <EventListener event="HydroFarmer" />
-                      </trigger>
-                    </events>
-                  </EventTrigger>
-                  <EventTrigger invert=true>
-                    <events>
-                      <trigger>
-                        <EventListener event="attack" />
-                      </trigger>
-                    </events>
-                  </EventTrigger>
-                </Trigger>
--->
-<!-- PORTALS END-->
-
 
     <SimpleNotification message="Dock to the Hydrogen Farmer." broadcast="true">