Index: branches/new_class_id/src/lib/graphics/effects/atmospheric_engine.cc
===================================================================
--- branches/new_class_id/src/lib/graphics/effects/atmospheric_engine.cc	(revision 9709)
+++ branches/new_class_id/src/lib/graphics/effects/atmospheric_engine.cc	(revision 9715)
@@ -23,5 +23,5 @@
 #include "util/loading/factory.h"
 
-NewObjectListDefinition(AtmosphericEngine);
+ObjectListDefinition(AtmosphericEngine);
 
 /**
@@ -94,5 +94,5 @@
 void AtmosphericEngine::draw() const
 {
-  for (NewObjectList<WeatherEffect>::const_iterator it = WeatherEffect::objectList().begin();
+  for (ObjectList<WeatherEffect>::const_iterator it = WeatherEffect::objectList().begin();
        it != WeatherEffect::objectList().end();
        ++it)
@@ -108,5 +108,5 @@
 {
 
-  for (NewObjectList<WeatherEffect>::const_iterator it = WeatherEffect::objectList().begin();
+  for (ObjectList<WeatherEffect>::const_iterator it = WeatherEffect::objectList().begin();
        it != WeatherEffect::objectList().end();
        ++it)
Index: branches/new_class_id/src/lib/graphics/effects/atmospheric_engine.h
===================================================================
--- branches/new_class_id/src/lib/graphics/effects/atmospheric_engine.h	(revision 9709)
+++ branches/new_class_id/src/lib/graphics/effects/atmospheric_engine.h	(revision 9715)
@@ -14,5 +14,5 @@
 class AtmosphericEngine : public BaseObject
 {
-  NewObjectListDeclaration(AtmosphericEngine);
+  ObjectListDeclaration(AtmosphericEngine);
   public:
     ~AtmosphericEngine();
Index: branches/new_class_id/src/lib/graphics/effects/cloud_effect.cc
===================================================================
--- branches/new_class_id/src/lib/graphics/effects/cloud_effect.cc	(revision 9709)
+++ branches/new_class_id/src/lib/graphics/effects/cloud_effect.cc	(revision 9715)
@@ -40,5 +40,5 @@
 float     CloudEffect::fadeTime;
 
-NewObjectListDefinitionID(CloudEffect, CL_CLOUD_EFFECT);
+ObjectListDefinitionID(CloudEffect, CL_CLOUD_EFFECT);
 
 
Index: branches/new_class_id/src/lib/graphics/effects/cloud_effect.h
===================================================================
--- branches/new_class_id/src/lib/graphics/effects/cloud_effect.h	(revision 9709)
+++ branches/new_class_id/src/lib/graphics/effects/cloud_effect.h	(revision 9715)
@@ -37,5 +37,5 @@
 
 class CloudEffect : public WeatherEffect {
-  NewObjectListDeclaration(CloudEffect);
+  ObjectListDeclaration(CloudEffect);
 
 public:
Index: branches/new_class_id/src/lib/graphics/effects/fog_effect.cc
===================================================================
--- branches/new_class_id/src/lib/graphics/effects/fog_effect.cc	(revision 9709)
+++ branches/new_class_id/src/lib/graphics/effects/fog_effect.cc	(revision 9715)
@@ -22,5 +22,5 @@
 #include "cloud_effect.h"
 
-NewObjectListDefinition(FogEffect);
+ObjectListDefinition(FogEffect);
 // Define shell commands
 //SHELL_COMMAND(activate, FogEffect, activateFog);
Index: branches/new_class_id/src/lib/graphics/effects/fog_effect.h
===================================================================
--- branches/new_class_id/src/lib/graphics/effects/fog_effect.h	(revision 9709)
+++ branches/new_class_id/src/lib/graphics/effects/fog_effect.h	(revision 9715)
@@ -15,5 +15,5 @@
 class FogEffect : public WeatherEffect
 {
-  NewObjectListDeclaration(FogEffect);
+  ObjectListDeclaration(FogEffect);
 public:
   FogEffect(const TiXmlElement* root = NULL);
Index: branches/new_class_id/src/lib/graphics/effects/graphics_effect.cc
===================================================================
--- branches/new_class_id/src/lib/graphics/effects/graphics_effect.cc	(revision 9709)
+++ branches/new_class_id/src/lib/graphics/effects/graphics_effect.cc	(revision 9715)
@@ -22,5 +22,5 @@
 #include "util/loading/load_param.h"
 
-NewObjectListDefinition(GraphicsEffect);
+ObjectListDefinition(GraphicsEffect);
 
 /**
Index: branches/new_class_id/src/lib/graphics/effects/graphics_effect.h
===================================================================
--- branches/new_class_id/src/lib/graphics/effects/graphics_effect.h	(revision 9709)
+++ branches/new_class_id/src/lib/graphics/effects/graphics_effect.h	(revision 9715)
@@ -13,5 +13,5 @@
 //! A class that handles GraphicsEffects. The GraphicsEffectManager operates on this.
 class GraphicsEffect : public BaseObject {
-  NewObjectListDeclaration(GraphicsEffect);
+  ObjectListDeclaration(GraphicsEffect);
   public:
     GraphicsEffect(const TiXmlElement* root = NULL);
Index: branches/new_class_id/src/lib/graphics/effects/lense_flare.cc
===================================================================
--- branches/new_class_id/src/lib/graphics/effects/lense_flare.cc	(revision 9709)
+++ branches/new_class_id/src/lib/graphics/effects/lense_flare.cc	(revision 9715)
@@ -35,5 +35,5 @@
 #include "class_id.h"
 
-NewObjectListDefinitionID(LenseFlare, CL_LENSE_FLARE);
+ObjectListDefinitionID(LenseFlare, CL_LENSE_FLARE);
 CREATE_FACTORY(LenseFlare);
 
Index: branches/new_class_id/src/lib/graphics/effects/lense_flare.h
===================================================================
--- branches/new_class_id/src/lib/graphics/effects/lense_flare.h	(revision 9709)
+++ branches/new_class_id/src/lib/graphics/effects/lense_flare.h	(revision 9715)
@@ -26,5 +26,5 @@
 class LenseFlare : public GraphicsEffect
 {
-  NewObjectListDeclaration(LenseFlare);
+  ObjectListDeclaration(LenseFlare);
   public:
     LenseFlare(const TiXmlElement* root = NULL);
Index: branches/new_class_id/src/lib/graphics/effects/lightning_effect.cc
===================================================================
--- branches/new_class_id/src/lib/graphics/effects/lightning_effect.cc	(revision 9709)
+++ branches/new_class_id/src/lib/graphics/effects/lightning_effect.cc	(revision 9715)
@@ -29,5 +29,5 @@
 #include "class_id.h"
 
-NewObjectListDefinitionID(LightningEffect, CL_LIGHTNING_EFFECT);
+ObjectListDefinitionID(LightningEffect, CL_LIGHTNING_EFFECT);
 
 SHELL_COMMAND(activate, LightningEffect, activateLightning);
Index: branches/new_class_id/src/lib/graphics/effects/lightning_effect.h
===================================================================
--- branches/new_class_id/src/lib/graphics/effects/lightning_effect.h	(revision 9709)
+++ branches/new_class_id/src/lib/graphics/effects/lightning_effect.h	(revision 9715)
@@ -19,5 +19,5 @@
 class LightningEffect : public WeatherEffect
 {
-  NewObjectListDeclaration(LightningEffect);
+  ObjectListDeclaration(LightningEffect);
 public:
   LightningEffect(const TiXmlElement* root = NULL);
Index: branches/new_class_id/src/lib/graphics/effects/rain_effect.cc
===================================================================
--- branches/new_class_id/src/lib/graphics/effects/rain_effect.cc	(revision 9709)
+++ branches/new_class_id/src/lib/graphics/effects/rain_effect.cc	(revision 9715)
@@ -33,5 +33,5 @@
 #include "class_id.h"
 
-NewObjectListDefinitionID(RainEffect, CL_RAIN_EFFECT);
+ObjectListDefinitionID(RainEffect, CL_RAIN_EFFECT);
 
 // Define shell commands
Index: branches/new_class_id/src/lib/graphics/effects/rain_effect.h
===================================================================
--- branches/new_class_id/src/lib/graphics/effects/rain_effect.h	(revision 9709)
+++ branches/new_class_id/src/lib/graphics/effects/rain_effect.h	(revision 9715)
@@ -25,5 +25,5 @@
 class RainEffect : public WeatherEffect
 {
-  NewObjectListDeclaration(RainEffect);
+  ObjectListDeclaration(RainEffect);
 public:
   RainEffect(const TiXmlElement* root = NULL);
Index: branches/new_class_id/src/lib/graphics/effects/snow_effect.cc
===================================================================
--- branches/new_class_id/src/lib/graphics/effects/snow_effect.cc	(revision 9709)
+++ branches/new_class_id/src/lib/graphics/effects/snow_effect.cc	(revision 9715)
@@ -32,5 +32,5 @@
 #include "class_id.h"
 
-NewObjectListDefinitionID(SnowEffect, CL_SNOW_EFFECT);
+ObjectListDefinitionID(SnowEffect, CL_SNOW_EFFECT);
 SHELL_COMMAND(activate, SnowEffect, activateSnow);
 SHELL_COMMAND(deactivate, SnowEffect, deactivateSnow);
Index: branches/new_class_id/src/lib/graphics/effects/snow_effect.h
===================================================================
--- branches/new_class_id/src/lib/graphics/effects/snow_effect.h	(revision 9709)
+++ branches/new_class_id/src/lib/graphics/effects/snow_effect.h	(revision 9715)
@@ -23,5 +23,5 @@
 class SnowEffect : public WeatherEffect
 {
-  NewObjectListDeclaration(SnowEffect);
+  ObjectListDeclaration(SnowEffect);
 public:
   SnowEffect(const TiXmlElement* root = NULL);
Index: branches/new_class_id/src/lib/graphics/effects/volfog_effect.cc
===================================================================
--- branches/new_class_id/src/lib/graphics/effects/volfog_effect.cc	(revision 9709)
+++ branches/new_class_id/src/lib/graphics/effects/volfog_effect.cc	(revision 9715)
@@ -48,5 +48,5 @@
 
 #include "class_id.h"
-NewObjectListDefinitionID(VolFogEffect, CL_VOLFOG_EFFECT);
+ObjectListDefinitionID(VolFogEffect, CL_VOLFOG_EFFECT);
 CREATE_FACTORY(VolFogEffect);
 
Index: branches/new_class_id/src/lib/graphics/effects/volfog_effect.h
===================================================================
--- branches/new_class_id/src/lib/graphics/effects/volfog_effect.h	(revision 9709)
+++ branches/new_class_id/src/lib/graphics/effects/volfog_effect.h	(revision 9715)
@@ -13,5 +13,5 @@
 class VolFogEffect : public WeatherEffect
 {
-  NewObjectListDeclaration(VolFogEffect);
+  ObjectListDeclaration(VolFogEffect);
 public:
   VolFogEffect(const TiXmlElement* root = NULL);
Index: branches/new_class_id/src/lib/graphics/effects/weather_effect.cc
===================================================================
--- branches/new_class_id/src/lib/graphics/effects/weather_effect.cc	(revision 9709)
+++ branches/new_class_id/src/lib/graphics/effects/weather_effect.cc	(revision 9715)
@@ -20,5 +20,5 @@
 #include "util/loading/load_param.h"
 
-NewObjectListDefinition(WeatherEffect);
+ObjectListDefinition(WeatherEffect);
 
 /**
Index: branches/new_class_id/src/lib/graphics/effects/weather_effect.h
===================================================================
--- branches/new_class_id/src/lib/graphics/effects/weather_effect.h	(revision 9709)
+++ branches/new_class_id/src/lib/graphics/effects/weather_effect.h	(revision 9715)
@@ -12,5 +12,5 @@
 class WeatherEffect : public BaseObject
 {
-  NewObjectListDeclaration(WeatherEffect);
+  ObjectListDeclaration(WeatherEffect);
 
   public:
Index: branches/new_class_id/src/lib/graphics/graphics_engine.cc
===================================================================
--- branches/new_class_id/src/lib/graphics/graphics_engine.cc	(revision 9709)
+++ branches/new_class_id/src/lib/graphics/graphics_engine.cc	(revision 9715)
@@ -53,5 +53,5 @@
 SHELL_COMMAND(fps, GraphicsEngine, toggleFPSdisplay);
 
-NewObjectListDefinition(GraphicsEngine);
+ObjectListDefinition(GraphicsEngine);
 
 /**
@@ -591,5 +591,5 @@
 
   // tick the graphics effects
-  for (NewObjectList<GraphicsEffect>::const_iterator it = GraphicsEffect::objectList().begin();
+  for (ObjectList<GraphicsEffect>::const_iterator it = GraphicsEffect::objectList().begin();
        it != GraphicsEffect::objectList().end();
        ++it)
Index: branches/new_class_id/src/lib/graphics/graphics_engine.h
===================================================================
--- branches/new_class_id/src/lib/graphics/graphics_engine.h	(revision 9709)
+++ branches/new_class_id/src/lib/graphics/graphics_engine.h	(revision 9715)
@@ -30,5 +30,5 @@
 class GraphicsEngine : public EventListener
 {
-  NewObjectListDeclaration(GraphicsEngine);
+  ObjectListDeclaration(GraphicsEngine);
   public:
     virtual ~GraphicsEngine();
Index: branches/new_class_id/src/lib/graphics/importer/height_map.cc
===================================================================
--- branches/new_class_id/src/lib/graphics/importer/height_map.cc	(revision 9709)
+++ branches/new_class_id/src/lib/graphics/importer/height_map.cc	(revision 9715)
@@ -327,5 +327,5 @@
 
 
-NewObjectListDefinition(HeightMap);
+ObjectListDefinition(HeightMap);
 
 
Index: branches/new_class_id/src/lib/graphics/importer/height_map.h
===================================================================
--- branches/new_class_id/src/lib/graphics/importer/height_map.h	(revision 9709)
+++ branches/new_class_id/src/lib/graphics/importer/height_map.h	(revision 9715)
@@ -72,5 +72,5 @@
 class HeightMap : public VertexArrayModel
 {
-  NewObjectListDeclaration(HeightMap);
+  ObjectListDeclaration(HeightMap);
   friend class Tile;
 
Index: branches/new_class_id/src/lib/graphics/importer/interactive_model.cc
===================================================================
--- branches/new_class_id/src/lib/graphics/importer/interactive_model.cc	(revision 9709)
+++ branches/new_class_id/src/lib/graphics/importer/interactive_model.cc	(revision 9715)
@@ -22,5 +22,5 @@
 
 
-NewObjectListDefinition(InteractiveModel);
+ObjectListDefinition(InteractiveModel);
 
 /**
Index: branches/new_class_id/src/lib/graphics/importer/interactive_model.h
===================================================================
--- branches/new_class_id/src/lib/graphics/importer/interactive_model.h	(revision 9709)
+++ branches/new_class_id/src/lib/graphics/importer/interactive_model.h	(revision 9715)
@@ -30,5 +30,5 @@
 class InteractiveModel : public Model
 {
-  NewObjectListDeclaration(InteractiveModel);
+  ObjectListDeclaration(InteractiveModel);
   public:
     InteractiveModel();
Index: branches/new_class_id/src/lib/graphics/importer/material.cc
===================================================================
--- branches/new_class_id/src/lib/graphics/importer/material.cc	(revision 9709)
+++ branches/new_class_id/src/lib/graphics/importer/material.cc	(revision 9715)
@@ -27,5 +27,5 @@
 #include "util/loading/resource_manager.h"
 
-NewObjectListDefinition(Material);
+ObjectListDefinition(Material);
 
 /**
Index: branches/new_class_id/src/lib/graphics/importer/material.h
===================================================================
--- branches/new_class_id/src/lib/graphics/importer/material.h	(revision 9709)
+++ branches/new_class_id/src/lib/graphics/importer/material.h	(revision 9715)
@@ -24,5 +24,5 @@
 class Material : public BaseObject
 {
-  NewObjectListDeclaration(Material);
+  ObjectListDeclaration(Material);
 public:
   Material (const std::string& mtlName = "");
Index: branches/new_class_id/src/lib/graphics/importer/md2/md2Model.cc
===================================================================
--- branches/new_class_id/src/lib/graphics/importer/md2/md2Model.cc	(revision 9709)
+++ branches/new_class_id/src/lib/graphics/importer/md2/md2Model.cc	(revision 9715)
@@ -22,5 +22,5 @@
 
 
-NewObjectListDefinition(MD2Model);
+ObjectListDefinition(MD2Model);
 
 //! the model anorms
Index: branches/new_class_id/src/lib/graphics/importer/md2/md2Model.h
===================================================================
--- branches/new_class_id/src/lib/graphics/importer/md2/md2Model.h	(revision 9709)
+++ branches/new_class_id/src/lib/graphics/importer/md2/md2Model.h	(revision 9715)
@@ -149,5 +149,5 @@
 //! This is a MD2 Model class
 class MD2Model : public InteractiveModel {
-  NewObjectListDeclaration(MD2Model);
+  ObjectListDeclaration(MD2Model);
 public:
   MD2Model(const std::string& modelFileName, const std::string& skinFileName = "", float scale = 1.0f);
Index: branches/new_class_id/src/lib/graphics/importer/media_container.cc
===================================================================
--- branches/new_class_id/src/lib/graphics/importer/media_container.cc	(revision 9709)
+++ branches/new_class_id/src/lib/graphics/importer/media_container.cc	(revision 9715)
@@ -30,5 +30,5 @@
 #include "debug.h"
 
-NewObjectListDefinition(MediaContainer);
+ObjectListDefinition(MediaContainer);
 
 /**
Index: branches/new_class_id/src/lib/graphics/importer/media_container.h
===================================================================
--- branches/new_class_id/src/lib/graphics/importer/media_container.h	(revision 9709)
+++ branches/new_class_id/src/lib/graphics/importer/media_container.h	(revision 9715)
@@ -24,5 +24,5 @@
 class MediaContainer : public TextureSequence
 {
-  NewObjectListDeclaration(MediaContainer);
+  ObjectListDeclaration(MediaContainer);
 private:
 
Index: branches/new_class_id/src/lib/graphics/importer/model.cc
===================================================================
--- branches/new_class_id/src/lib/graphics/importer/model.cc	(revision 9709)
+++ branches/new_class_id/src/lib/graphics/importer/model.cc	(revision 9715)
@@ -20,5 +20,5 @@
 #include "glincl.h"
 
-NewObjectListDefinition(Model);
+ObjectListDefinition(Model);
 
 /**
Index: branches/new_class_id/src/lib/graphics/importer/model.h
===================================================================
--- branches/new_class_id/src/lib/graphics/importer/model.h	(revision 9709)
+++ branches/new_class_id/src/lib/graphics/importer/model.h	(revision 9715)
@@ -54,5 +54,5 @@
 //! This class defines the basic components of a model
 class Model : virtual public BaseObject {
-  NewObjectListDeclaration(Model);
+  ObjectListDeclaration(Model);
 
   public:
Index: branches/new_class_id/src/lib/graphics/importer/movie_player.cc
===================================================================
--- branches/new_class_id/src/lib/graphics/importer/movie_player.cc	(revision 9709)
+++ branches/new_class_id/src/lib/graphics/importer/movie_player.cc	(revision 9715)
@@ -30,5 +30,5 @@
 #include "debug.h"
 
-NewObjectListDefinition(MoviePlayer);
+ObjectListDefinition(MoviePlayer);
 
 MoviePlayer::MoviePlayer(const std::string& filename)
Index: branches/new_class_id/src/lib/graphics/importer/movie_player.h
===================================================================
--- branches/new_class_id/src/lib/graphics/importer/movie_player.h	(revision 9709)
+++ branches/new_class_id/src/lib/graphics/importer/movie_player.h	(revision 9715)
@@ -31,5 +31,5 @@
 class MoviePlayer : public BaseObject
 {
-  NewObjectListDeclaration(MoviePlayer);
+  ObjectListDeclaration(MoviePlayer);
 
 private:
Index: branches/new_class_id/src/lib/graphics/importer/objModel.cc
===================================================================
--- branches/new_class_id/src/lib/graphics/importer/objModel.cc	(revision 9709)
+++ branches/new_class_id/src/lib/graphics/importer/objModel.cc	(revision 9715)
@@ -27,5 +27,5 @@
 #include "compiler.h"
 
-NewObjectListDefinition(OBJModel);
+ObjectListDefinition(OBJModel);
 /**
  * @brief Crates a 3D-Model, loads in a File and scales it.
Index: branches/new_class_id/src/lib/graphics/importer/objModel.h
===================================================================
--- branches/new_class_id/src/lib/graphics/importer/objModel.h	(revision 9709)
+++ branches/new_class_id/src/lib/graphics/importer/objModel.h	(revision 9715)
@@ -12,5 +12,5 @@
 class OBJModel : public StaticModel
 {
-  NewObjectListDeclaration(OBJModel);
+  ObjectListDeclaration(OBJModel);
   public:
    OBJModel(const std::string& fileName, float scaling = 1.0);
Index: branches/new_class_id/src/lib/graphics/importer/static_model.cc
===================================================================
--- branches/new_class_id/src/lib/graphics/importer/static_model.cc	(revision 9709)
+++ branches/new_class_id/src/lib/graphics/importer/static_model.cc	(revision 9715)
@@ -134,5 +134,5 @@
 /// MODEL ///
 /////////////
-NewObjectListDefinition(StaticModel);
+ObjectListDefinition(StaticModel);
 
 /**
Index: branches/new_class_id/src/lib/graphics/importer/static_model.h
===================================================================
--- branches/new_class_id/src/lib/graphics/importer/static_model.h	(revision 9709)
+++ branches/new_class_id/src/lib/graphics/importer/static_model.h	(revision 9715)
@@ -94,5 +94,5 @@
 class StaticModel : public Model
 {
-  NewObjectListDeclaration(StaticModel);
+  ObjectListDeclaration(StaticModel);
   public:
   StaticModel(const std::string& modelName = "");
Index: branches/new_class_id/src/lib/graphics/importer/texture.cc
===================================================================
--- branches/new_class_id/src/lib/graphics/importer/texture.cc	(revision 9709)
+++ branches/new_class_id/src/lib/graphics/importer/texture.cc	(revision 9715)
@@ -64,5 +64,5 @@
 #endif
 
-NewObjectListDefinition(Texture);
+ObjectListDefinition(Texture);
 
 /**
Index: branches/new_class_id/src/lib/graphics/importer/texture.h
===================================================================
--- branches/new_class_id/src/lib/graphics/importer/texture.h	(revision 9709)
+++ branches/new_class_id/src/lib/graphics/importer/texture.h	(revision 9715)
@@ -20,5 +20,5 @@
 class Texture : public BaseObject
 {
-  NewObjectListDeclaration(Texture);
+  ObjectListDeclaration(Texture);
 public:
   Texture();
Index: branches/new_class_id/src/lib/graphics/importer/texture_sequence.cc
===================================================================
--- branches/new_class_id/src/lib/graphics/importer/texture_sequence.cc	(revision 9709)
+++ branches/new_class_id/src/lib/graphics/importer/texture_sequence.cc	(revision 9715)
@@ -28,5 +28,5 @@
 #endif
 
-NewObjectListDefinition(TextureSequence);
+ObjectListDefinition(TextureSequence);
 
 /**
Index: branches/new_class_id/src/lib/graphics/importer/texture_sequence.h
===================================================================
--- branches/new_class_id/src/lib/graphics/importer/texture_sequence.h	(revision 9709)
+++ branches/new_class_id/src/lib/graphics/importer/texture_sequence.h	(revision 9715)
@@ -15,5 +15,5 @@
 class TextureSequence : public Texture
 {
-  NewObjectListDeclaration(TextureSequence);
+  ObjectListDeclaration(TextureSequence);
   public:
     TextureSequence(unsigned int count = 0, ...);
Index: branches/new_class_id/src/lib/graphics/importer/vertex_array_model.cc
===================================================================
--- branches/new_class_id/src/lib/graphics/importer/vertex_array_model.cc	(revision 9709)
+++ branches/new_class_id/src/lib/graphics/importer/vertex_array_model.cc	(revision 9715)
@@ -24,5 +24,5 @@
 
 
-NewObjectListDefinition(VertexArrayModel);
+ObjectListDefinition(VertexArrayModel);
 
 /////////////
Index: branches/new_class_id/src/lib/graphics/importer/vertex_array_model.h
===================================================================
--- branches/new_class_id/src/lib/graphics/importer/vertex_array_model.h	(revision 9709)
+++ branches/new_class_id/src/lib/graphics/importer/vertex_array_model.h	(revision 9715)
@@ -27,5 +27,5 @@
 class VertexArrayModel : public Model
 {
-  NewObjectListDeclaration(VertexArrayModel);
+  ObjectListDeclaration(VertexArrayModel);
   public:
   VertexArrayModel();
Index: branches/new_class_id/src/lib/graphics/light.cc
===================================================================
--- branches/new_class_id/src/lib/graphics/light.cc	(revision 9709)
+++ branches/new_class_id/src/lib/graphics/light.cc	(revision 9715)
@@ -29,5 +29,5 @@
 #include "class_id.h"
 
-NewObjectListDefinitionID(Light, CL_LIGHT);
+ObjectListDefinitionID(Light, CL_LIGHT);
 CREATE_FACTORY(Light);
 
@@ -215,5 +215,5 @@
 ** LIGHT-MANAGER **
 ******************/
-NewObjectListDefinition(LightManager);
+ObjectListDefinition(LightManager);
 /**
  *  standard constructor for a Light
Index: branches/new_class_id/src/lib/graphics/light.h
===================================================================
--- branches/new_class_id/src/lib/graphics/light.h	(revision 9709)
+++ branches/new_class_id/src/lib/graphics/light.h	(revision 9715)
@@ -25,5 +25,5 @@
 class Light : public PNode
 {
-  NewObjectListDeclaration(Light);
+  ObjectListDeclaration(Light);
 public:
   Light(const TiXmlElement* root = NULL);
@@ -89,5 +89,5 @@
 class LightManager : public BaseObject
 {
-  NewObjectListDeclaration(LightManager);
+  ObjectListDeclaration(LightManager);
 
   friend class Light;
Index: branches/new_class_id/src/lib/graphics/render2D/element_2d.cc
===================================================================
--- branches/new_class_id/src/lib/graphics/render2D/element_2d.cc	(revision 9709)
+++ branches/new_class_id/src/lib/graphics/render2D/element_2d.cc	(revision 9715)
@@ -35,5 +35,5 @@
 SHELL_COMMAND(debug, Element2D, debug2D);
 
-NewObjectListDefinition(Element2D);
+ObjectListDefinition(Element2D);
 
 
Index: branches/new_class_id/src/lib/graphics/render2D/element_2d.h
===================================================================
--- branches/new_class_id/src/lib/graphics/render2D/element_2d.h	(revision 9709)
+++ branches/new_class_id/src/lib/graphics/render2D/element_2d.h	(revision 9715)
@@ -89,5 +89,5 @@
 class Element2D : virtual public BaseObject
 {
-  NewObjectListDeclaration(Element2D);
+  ObjectListDeclaration(Element2D);
 
 public:
Index: branches/new_class_id/src/lib/graphics/render2D/image_plane.cc
===================================================================
--- branches/new_class_id/src/lib/graphics/render2D/image_plane.cc	(revision 9709)
+++ branches/new_class_id/src/lib/graphics/render2D/image_plane.cc	(revision 9715)
@@ -26,5 +26,5 @@
 #include "class_id.h"
 
-NewObjectListDefinitionID(ImagePlane, CL_IMAGE_PLANE);
+ObjectListDefinitionID(ImagePlane, CL_IMAGE_PLANE);
 CREATE_FACTORY(ImagePlane);
 
Index: branches/new_class_id/src/lib/graphics/render2D/image_plane.h
===================================================================
--- branches/new_class_id/src/lib/graphics/render2D/image_plane.h	(revision 9709)
+++ branches/new_class_id/src/lib/graphics/render2D/image_plane.h	(revision 9715)
@@ -17,5 +17,5 @@
 class ImagePlane :  public Element2D
 {
-  NewObjectListDeclaration(ImagePlane);
+  ObjectListDeclaration(ImagePlane);
   public:
     ImagePlane(const TiXmlElement* root = NULL);
Index: branches/new_class_id/src/lib/graphics/render2D/render_2d.cc
===================================================================
--- branches/new_class_id/src/lib/graphics/render2D/render_2d.cc	(revision 9709)
+++ branches/new_class_id/src/lib/graphics/render2D/render_2d.cc	(revision 9715)
@@ -21,5 +21,5 @@
 #include "element_2d.h"
 
-NewObjectListDefinition(Render2D);
+ObjectListDefinition(Render2D);
 
 
Index: branches/new_class_id/src/lib/graphics/render2D/render_2d.h
===================================================================
--- branches/new_class_id/src/lib/graphics/render2D/render_2d.h	(revision 9709)
+++ branches/new_class_id/src/lib/graphics/render2D/render_2d.h	(revision 9715)
@@ -14,5 +14,5 @@
 class Render2D : public BaseObject
 {
-  NewObjectListDeclaration(Render2D);
+  ObjectListDeclaration(Render2D);
 
   friend class Element2D;
Index: branches/new_class_id/src/lib/graphics/shader.cc
===================================================================
--- branches/new_class_id/src/lib/graphics/shader.cc	(revision 9709)
+++ branches/new_class_id/src/lib/graphics/shader.cc	(revision 9715)
@@ -33,5 +33,5 @@
 
 
-NewObjectListDefinition(Shader);
+ObjectListDefinition(Shader);
 
 /**
Index: branches/new_class_id/src/lib/graphics/shader.h
===================================================================
--- branches/new_class_id/src/lib/graphics/shader.h	(revision 9709)
+++ branches/new_class_id/src/lib/graphics/shader.h	(revision 9715)
@@ -19,5 +19,5 @@
 class Shader : public BaseObject
 {
-  NewObjectListDeclaration(Shader);
+  ObjectListDeclaration(Shader);
 public:
   class Uniform
Index: branches/new_class_id/src/lib/graphics/spatial_separation/quadtree.cc
===================================================================
--- branches/new_class_id/src/lib/graphics/spatial_separation/quadtree.cc	(revision 9709)
+++ branches/new_class_id/src/lib/graphics/spatial_separation/quadtree.cc	(revision 9715)
@@ -27,5 +27,5 @@
 #define QUADTREE_MATERIAL_COUNT       4
 
-NewObjectListDefinition(Quadtree);
+ObjectListDefinition(Quadtree);
 /**
  *  standard constructor
Index: branches/new_class_id/src/lib/graphics/spatial_separation/quadtree.h
===================================================================
--- branches/new_class_id/src/lib/graphics/spatial_separation/quadtree.h	(revision 9709)
+++ branches/new_class_id/src/lib/graphics/spatial_separation/quadtree.h	(revision 9715)
@@ -21,5 +21,5 @@
 //! A class for quadtree separation of the world
 class Quadtree : public BaseObject {
-  NewObjectListDeclaration(Quadtree);
+  ObjectListDeclaration(Quadtree);
 
   public:
Index: branches/new_class_id/src/lib/graphics/spatial_separation/quadtree_node.cc
===================================================================
--- branches/new_class_id/src/lib/graphics/spatial_separation/quadtree_node.cc	(revision 9709)
+++ branches/new_class_id/src/lib/graphics/spatial_separation/quadtree_node.cc	(revision 9715)
@@ -27,5 +27,5 @@
 
 
-NewObjectListDefinition(QuadtreeNode);
+ObjectListDefinition(QuadtreeNode);
 
 /**
Index: branches/new_class_id/src/lib/graphics/spatial_separation/quadtree_node.h
===================================================================
--- branches/new_class_id/src/lib/graphics/spatial_separation/quadtree_node.h	(revision 9709)
+++ branches/new_class_id/src/lib/graphics/spatial_separation/quadtree_node.h	(revision 9715)
@@ -26,5 +26,5 @@
 //! A class for a Quadtree Node representation
 class QuadtreeNode : public BaseObject {
-  NewObjectListDeclaration(QuadtreeNode);
+  ObjectListDeclaration(QuadtreeNode);
 
   public:
Index: branches/new_class_id/src/lib/graphics/spatial_separation/spatial_separation.cc
===================================================================
--- branches/new_class_id/src/lib/graphics/spatial_separation/spatial_separation.cc	(revision 9709)
+++ branches/new_class_id/src/lib/graphics/spatial_separation/spatial_separation.cc	(revision 9715)
@@ -24,5 +24,5 @@
 
 
-NewObjectListDefinition(SpatialSeparation);
+ObjectListDefinition(SpatialSeparation);
 
 /**
Index: branches/new_class_id/src/lib/graphics/spatial_separation/spatial_separation.h
===================================================================
--- branches/new_class_id/src/lib/graphics/spatial_separation/spatial_separation.h	(revision 9709)
+++ branches/new_class_id/src/lib/graphics/spatial_separation/spatial_separation.h	(revision 9715)
@@ -19,5 +19,5 @@
 //! A class for spatial separation of vertices based arrays
 class SpatialSeparation : public BaseObject {
-  NewObjectListDeclaration(SpatialSeparation);
+  ObjectListDeclaration(SpatialSeparation);
 
   public:
Index: branches/new_class_id/src/lib/graphics/text_engine/font.cc
===================================================================
--- branches/new_class_id/src/lib/graphics/text_engine/font.cc	(revision 9709)
+++ branches/new_class_id/src/lib/graphics/text_engine/font.cc	(revision 9715)
@@ -29,5 +29,5 @@
 #include "compiler.h"
 
-NewObjectListDefinition(Font);
+ObjectListDefinition(Font);
 
 Font::Font()
Index: branches/new_class_id/src/lib/graphics/text_engine/font.h
===================================================================
--- branches/new_class_id/src/lib/graphics/text_engine/font.h	(revision 9709)
+++ branches/new_class_id/src/lib/graphics/text_engine/font.h	(revision 9715)
@@ -19,5 +19,5 @@
 class Font : public Material
 {
-  NewObjectListDeclaration(Font);
+  ObjectListDeclaration(Font);
 
 public:
Index: branches/new_class_id/src/lib/graphics/text_engine/limited_width_text.cc
===================================================================
--- branches/new_class_id/src/lib/graphics/text_engine/limited_width_text.cc	(revision 9709)
+++ branches/new_class_id/src/lib/graphics/text_engine/limited_width_text.cc	(revision 9715)
@@ -19,5 +19,5 @@
 #include "font.h"
 
-NewObjectListDefinition(LimitedWidthText);
+ObjectListDefinition(LimitedWidthText);
 /**
  * @brief creates a new Text Element
Index: branches/new_class_id/src/lib/graphics/text_engine/limited_width_text.h
===================================================================
--- branches/new_class_id/src/lib/graphics/text_engine/limited_width_text.h	(revision 9709)
+++ branches/new_class_id/src/lib/graphics/text_engine/limited_width_text.h	(revision 9715)
@@ -14,5 +14,5 @@
 class LimitedWidthText : public Text
 {
-  NewObjectListDeclaration(LimitedWidthText);
+  ObjectListDeclaration(LimitedWidthText);
   public:
     typedef enum {
Index: branches/new_class_id/src/lib/graphics/text_engine/multi_line_text.cc
===================================================================
--- branches/new_class_id/src/lib/graphics/text_engine/multi_line_text.cc	(revision 9709)
+++ branches/new_class_id/src/lib/graphics/text_engine/multi_line_text.cc	(revision 9715)
@@ -19,5 +19,5 @@
 #include "font.h"
 
-NewObjectListDefinition(MultiLineText);
+ObjectListDefinition(MultiLineText);
 
 /**
Index: branches/new_class_id/src/lib/graphics/text_engine/multi_line_text.h
===================================================================
--- branches/new_class_id/src/lib/graphics/text_engine/multi_line_text.h	(revision 9709)
+++ branches/new_class_id/src/lib/graphics/text_engine/multi_line_text.h	(revision 9715)
@@ -14,5 +14,5 @@
 class MultiLineText : public Text
 {
-  NewObjectListDeclaration(MultiLineText);
+  ObjectListDeclaration(MultiLineText);
   public:
     MultiLineText(const std::string& fontFile = "", unsigned int fontSize = TEXT_DEFAULT_SIZE, float lineWidth = 100.0);
Index: branches/new_class_id/src/lib/graphics/text_engine/text.cc
===================================================================
--- branches/new_class_id/src/lib/graphics/text_engine/text.cc	(revision 9709)
+++ branches/new_class_id/src/lib/graphics/text_engine/text.cc	(revision 9715)
@@ -22,5 +22,5 @@
 #include "debug.h"
 
-NewObjectListDefinition(Text);
+ObjectListDefinition(Text);
 
 /**
Index: branches/new_class_id/src/lib/graphics/text_engine/text.h
===================================================================
--- branches/new_class_id/src/lib/graphics/text_engine/text.h	(revision 9709)
+++ branches/new_class_id/src/lib/graphics/text_engine/text.h	(revision 9715)
@@ -26,5 +26,5 @@
 class Text : public Element2D
 {
-  NewObjectListDeclaration(Text);
+  ObjectListDeclaration(Text);
   public:
     Text(const std::string& fontFile = "", unsigned int fontSize = TEXT_DEFAULT_SIZE);
Index: branches/new_class_id/src/lib/graphics/text_engine/text_engine.cc
===================================================================
--- branches/new_class_id/src/lib/graphics/text_engine/text_engine.cc	(revision 9709)
+++ branches/new_class_id/src/lib/graphics/text_engine/text_engine.cc	(revision 9715)
@@ -39,5 +39,5 @@
 /// TEXT-ENGINE ///
 ///////////////////
-NewObjectListDefinition(TextEngine);
+ObjectListDefinition(TextEngine);
 /**
  *  standard constructor
@@ -124,5 +124,5 @@
   PRINT(0)("Reference: %p; Text Counts: %d\n", this, Text::objectList().size());
 
-  for (NewObjectList<Text>::const_iterator it = Text::objectList().begin();
+  for (ObjectList<Text>::const_iterator it = Text::objectList().begin();
        it != Text::objectList().end();
        ++it)
Index: branches/new_class_id/src/lib/graphics/text_engine/text_engine.h
===================================================================
--- branches/new_class_id/src/lib/graphics/text_engine/text_engine.h	(revision 9709)
+++ branches/new_class_id/src/lib/graphics/text_engine/text_engine.h	(revision 9715)
@@ -24,5 +24,5 @@
 class TextEngine : public BaseObject
 {
-  NewObjectListDeclaration(TextEngine);
+  ObjectListDeclaration(TextEngine);
   public:
   virtual ~TextEngine();