Index: /code/branches/levelKaan/data/levels/Level_01.oxw
===================================================================
--- /code/branches/levelKaan/data/levels/Level_01.oxw	(revision 9720)
+++ /code/branches/levelKaan/data/levels/Level_01.oxw	(revision 9721)
@@ -19,5 +19,5 @@
   include("templates/spaceshipPirate.oxt")
   include("templates/spaceshipEscort.oxt")
-  include("templates/spaceshipSpacecruiser.oxt")
+  include("templates/spaceshipCollateralDamage.oxt")
 ?>
 
@@ -62,33 +62,5 @@
 <SpawnPoint team=0 position="0,0,0" lookat="100,0,0" spawnclass=SpaceShip pawndesign=spaceshipescort />
 
-<SpaceBoundaries warnDistance="1" maxDistance="1000" showDistance="300" healthDecrease="0.1" position="0,0,0"/>
-
-<?lua
-      for i = 1, 250, 1
-      do
-      j = math.random()
-    ?>
-
-    <MovableEntity
-      position = "<?lua print(math.random()* 6000-3000) ?>,<?lua print(math.random() * 6000 -3000) ?>,<?lua print(math.random() * 6000-3000) ?>"
-      collisionType = dynamic
-      linearDamping = 0.8
-      angularDamping = 0
-      scale = "<?lua print(j * 150)?>"
-      collisiondamage = 0.005
-      enablecollisiondamage = true
-      velocity          = "-5,0,0"
-    >
-      <attached>
-        <Model mass="<?lua print(j * 1000) ?>" mesh="ast<?lua print( math.mod(i,6) + 1) ?>.mesh" />
-      </attached>
-      <collisionShapes>
-        <SphereCollisionShape radius="<?lua print(j * 350) ?>" />
-      </collisionShapes>
-    </MovableEntity>
-
-    <?lua
-      end
-    ?>
+
 
 
@@ -109,5 +81,5 @@
         health    = 100000 initialhealth=100000 maxhealth="100000"
         name      = "HydroFarmer"
-        radarname = "Hydrogen Farmer" >
+        radarname = "Main-Station" >
       <attached>
         <!-- Docking -->
@@ -153,5 +125,5 @@
     </SpaceShip>
 
-    <Dock position="-4000,3900,4000" roll=90 yaw=180 >
+    <Dock position="-4000,4000,4000" roll=90 yaw=180 >
         <animations>
             <MoveToDockingTarget target="destroyer" />
@@ -178,5 +150,5 @@
 <!--@Objects: SpaceCruiser as docking target -->
     <SpaceShip
-        template            = "spaceshipspacecruiser"
+        template            = "spaceshipcollateraldamage"
         team                = "0"
         position            = "-4000,4700,4000"
@@ -199,9 +171,9 @@
 
 
-<MovableEntity position="-500,500, 500">
+<!--<MovableEntity position="-500,500, 500">
     <attached>
         <Billboard position="0,0,0" material="Examples/Flare" colour="1, 0, 0" scale=0.5/>
     </attached>
-</MovableEntity>
+</MovableEntity>-->
 
 
@@ -224,6 +196,6 @@
     </SimpleNotification>
 
- <DistanceTrigger name="flying3" position="-500,500, 500" target="Pawn" distance=50 stayActive="true" delay=3/>
-    <SimpleNotification message="Our friends from District 69 are under attack">
+ <DistanceTrigger name="flying3" position="-4000,4000, 4000" target="Pawn" distance=3500 stayActive="true" delay=3/>
+    <SimpleNotification message="Our Commander got kidnapped in District 69">
         <events>
             <trigger>
@@ -233,6 +205,6 @@
     </SimpleNotification>
 
- <DistanceTrigger name="flying4" position="-500,500, 500" target="Pawn" distance=50 stayActive="true" delay=7/>
-    <SimpleNotification message="We need you to help them.">
+ <DistanceTrigger name="flying4" position="-4000,4000, 4000" target="Pawn" distance=3500 stayActive="true" delay=7/>
+    <SimpleNotification message="We need you to rescue him.">
         <events>
             <trigger>
@@ -242,5 +214,5 @@
     </SimpleNotification>
 
-<DistanceTrigger name="flying5" position="-4000,4000,4000" target="Pawn" distance=50 stayActive="true" delay=11/>
+<DistanceTrigger name="flying5" position="-4000,4000,4000" target="Pawn" distance=3500 stayActive="true" delay=11/>
     <SimpleNotification message="Dock on the station to get a better ship.">
         <events>
@@ -251,30 +223,5 @@
     </SimpleNotification>
 
-<DistanceTrigger name="wormhole1" position="-1400,-500,800" target="Pawn" distance=100 stayActive="true" mode="and">
-        <EventTrigger name="ondock" activations="1" stayactive="true" delay=6>
-          <events>
-            <trigger>
-              <EventListener event="dockMe" />
-            </trigger>
-          </events>
-            <Trigger mode=and>
-              <DistanceTrigger name="toHydroFarmer" position="-47000,-1000,1300" target="Pawn" distance=100 stayActive="true" />
-              <EventTrigger activations="1" invert="true">
-                <events>
-                  <trigger>
-                    <EventListener event="gameEnd" />
-                  </trigger>
-                </events>
-              </EventTrigger>
-            </Trigger>
-        </EventTrigger>
-        <EventTrigger activations="1" invert="true">
-          <events>
-            <trigger>
-              <EventListener event="earlyEnd" />
-            </trigger>
-          </events>
-        </EventTrigger>
-    </DistanceTrigger>
+
 
 <!----------------------------------------------------------------------------------------------------->
@@ -293,9 +240,11 @@
 
     <PortalEndPoint position="0,2000,0" id="1" distance="40" target="MobileEntity" design="PortalDefault" reenterDelay="0"/>
-    <PortalEndPoint position="0,50000,0" id="2" distance="40" target="MobileEntity" design="PortalDefault" reenterDelay="0"/>
+    <PortalEndPoint position="0,97100,0" id="2" distance="40" target="MobileEntity" design="PortalDefault" reenterDelay="0"/>
     <PortalLink fromID="1" toID="2" />
     <!--<PortalLink fromID="2" toID="1" />-->
 
- <?lua
+<SpaceBoundaries warnDistance="1" maxDistance="500" showDistance="300" healthDecrease="0.1" position="0,97100,0"/>
+
+<?lua
       for i = 1, 500, 1
       do
@@ -304,11 +253,12 @@
 
     <MovableEntity
-      position = "<?lua print(math.random()* 10000 - 5000) ?>,<?lua print(math.random() * 15000 + 45000) ?>,<?lua print(math.random() * 10000 - 5000) ?>"
+      position = "<?lua print(math.random()* 10000-5000) ?>,<?lua print(math.random() * 10000 + 95000) ?>,<?lua print(math.random() * 10000-5000) ?>"
       collisionType = dynamic
       linearDamping = 0.8
       angularDamping = 0
-      scale = "<?lua print(j * 200)?>"
-      collisiondamage = 0.05
+      scale = "<?lua print(j * 150)?>"
+      collisiondamage = 0.005
       enablecollisiondamage = true
+      
     >
       <attached>
@@ -324,4 +274,10 @@
     ?>
 
+<SpaceShip position="0,97300,200" lookat="0,-1,0" name="movingtarget" radarname="Pirate">
+       <templates>
+                  <Template link=spaceshippirate />
+                    </templates>
+ </SpaceShip>
+
 <DistanceTrigger name="portal2" position="-4000,4000,4000" target="Pawn" distance=50 stayActive="true" delay=3/>
     <SimpleNotification message="Now go to the portal">
@@ -333,5 +289,5 @@
     </SimpleNotification>
 
-<DistanceTrigger name="portal3" position="0,50000,0" target="Pawn" distance=50 stayActive="true" delay=3/>
+<DistanceTrigger name="portal3" position="0,100000,0" target="Pawn" distance=50 stayActive="true" delay=3/>
     <SimpleNotification message="You came to District 69">
         <events>
@@ -341,4 +297,8 @@
         </events>
     </SimpleNotification>
+
+<!----------------------------------------------------------------------------------------------------->
+<!--------------------------- PART TWO: Passing throug area with meteorits ---------------------------->
+<!----------------------------------------------------------------------------------------------------->
     
   </Scene>