Index: branches/new_class_id/src/lib/graphics/importer/md2/md2Model.h
===================================================================
--- branches/new_class_id/src/lib/graphics/importer/md2/md2Model.h	(revision 9721)
+++ branches/new_class_id/src/lib/graphics/importer/md2/md2Model.h	(revision 9722)
@@ -160,5 +160,5 @@
   virtual void setAnimation(int firstFrame, int lastFrame, int fps, int bStoppable, int animPlayback);
   /**  returns the current animation @returns animation type */
-  inline int MD2Model::getAnimation() { return this->animationState.type; }
+  inline int getAnimation() { return this->animationState.type; }
   virtual void setAnimationSpeed(float speed) { this->animationSpeed = speed; }
   virtual bool isAnimationFinished() { return (this->animationState.currentFrame == this->animationState.endFrame )?true:false; }
Index: branches/new_class_id/src/lib/gui/gl/glmenu/glmenu_imagescreen.h
===================================================================
--- branches/new_class_id/src/lib/gui/gl/glmenu/glmenu_imagescreen.h	(revision 9721)
+++ branches/new_class_id/src/lib/gui/gl/glmenu/glmenu_imagescreen.h	(revision 9722)
@@ -33,5 +33,5 @@
   void setMaximum (int maxValue);
   /** @returns the maximum of countable steps*/
-  inline int GLMenuImageScreen::getMaximum() const { return this->maxValue; };
+  inline int getMaximum() const { return this->maxValue; };
 
   void setValue (int currentValue);
Index: branches/new_class_id/src/lib/network/network_game_manager.h
===================================================================
--- branches/new_class_id/src/lib/network/network_game_manager.h	(revision 9721)
+++ branches/new_class_id/src/lib/network/network_game_manager.h	(revision 9722)
@@ -37,5 +37,5 @@
     virtual ~NetworkGameManager();
 
-    static NetworkGameManager* NetworkGameManager::getInstance()
+    static NetworkGameManager* getInstance()
     { if (!NetworkGameManager::singletonRef) NetworkGameManager::singletonRef = new NetworkGameManager(); return NetworkGameManager::singletonRef; }
 
Index: branches/new_class_id/src/lib/parser/ini_parser/ini_parser.cc
===================================================================
--- branches/new_class_id/src/lib/parser/ini_parser/ini_parser.cc	(revision 9721)
+++ branches/new_class_id/src/lib/parser/ini_parser/ini_parser.cc	(revision 9722)
@@ -165,5 +165,5 @@
       else if( (ptr = strchr( lineBegin, '=')) != NULL)
       {
-        if (currentSection == NULL)
+        if (currentSection == this->sections.end())
         {
           PRINTF(2)("Not in a Section yet for %s\n", lineBegin);
@@ -470,5 +470,5 @@
   {
     std::list<IniEntry>::const_iterator entry = this->getEntryIT(entryName, sectionName);
-    if (entry != NULL &&  (*entry).name == entryName)
+    if (/** FIXME entry != NULL && */  (*entry).name == entryName)
       return (*entry).value;
     PRINTF(2)("Entry '%s' in section '%s' not found.\n", entryName.c_str(), sectionName.c_str());
@@ -627,8 +627,5 @@
       if ((*entry).name == entryName)
         break;
-  if (entry == (*section).entries.end())
-    return NULL;
-  else
-    return entry;
+  return entry;
 }
 
@@ -650,8 +647,5 @@
       if ((*entry).name == entryName)
         break;
-  if (entry == (*section).entries.end())
-    return NULL;
-  else
-    return entry;
+  return entry;
 }
 
Index: branches/new_class_id/src/lib/parser/ini_parser/ini_parser.h
===================================================================
--- branches/new_class_id/src/lib/parser/ini_parser/ini_parser.h	(revision 9721)
+++ branches/new_class_id/src/lib/parser/ini_parser/ini_parser.h	(revision 9722)
@@ -66,5 +66,5 @@
     bool addVar(const std::string& entryName, const std::string& value, const std::string& sectionName = "" );
     const std::string& getVar(const std::string& entryName, const std::string& sectionName, const std::string& defaultValue = "") const;
-    bool IniParser::editVar(const std::string& entryName, const std::string& value, const std::string& sectionName = "", bool createMissing = true);
+    bool editVar(const std::string& entryName, const std::string& value, const std::string& sectionName = "", bool createMissing = true);
     void setEntryComment(const std::string& comment, const std::string& entryName, const std::string& sectionName);
     const std::string& getEntryComment(const std::string& entryName, const std::string& sectionName) const;
Index: branches/new_class_id/src/lib/shell/shell_completion.h
===================================================================
--- branches/new_class_id/src/lib/shell/shell_completion.h	(revision 9721)
+++ branches/new_class_id/src/lib/shell/shell_completion.h	(revision 9722)
@@ -51,5 +51,5 @@
       bool autoComplete(std::string& input);
 
-      static const std::string& ShellCompletion::typeToString(ShellCompletion::CompletionType type);
+      static const std::string& typeToString(ShellCompletion::CompletionType type);
 
     private:
Index: branches/new_class_id/src/lib/util/sigslot/signal.h
===================================================================
--- branches/new_class_id/src/lib/util/sigslot/signal.h	(revision 9721)
+++ branches/new_class_id/src/lib/util/sigslot/signal.h	(revision 9722)
@@ -96,4 +96,5 @@
   {
   public:
+    virtual ~_connection_base0() {};
     virtual has_slots<mt_policy>* getdest() const = 0;
     virtual void emit() = 0;
@@ -106,4 +107,5 @@
   {
   public:
+    virtual ~_connection_base1() {};
     virtual has_slots<mt_policy>* getdest() const = 0;
     virtual void emit(arg1_type) = 0;
@@ -116,4 +118,5 @@
   {
   public:
+    virtual ~_connection_base2() {};
     virtual has_slots<mt_policy>* getdest() const = 0;
     virtual void emit(arg1_type, arg2_type) = 0;
@@ -126,4 +129,5 @@
   {
   public:
+    virtual ~_connection_base3() {};
     virtual has_slots<mt_policy>* getdest() const = 0;
     virtual void emit(arg1_type, arg2_type, arg3_type) = 0;
@@ -136,4 +140,5 @@
   {
   public:
+    virtual ~_connection_base4() {};
     virtual has_slots<mt_policy>* getdest() const = 0;
     virtual void emit(arg1_type, arg2_type, arg3_type, arg4_type) = 0;
@@ -147,4 +152,5 @@
   {
   public:
+    virtual ~_connection_base5() {};
     virtual has_slots<mt_policy>* getdest() const = 0;
     virtual void emit(arg1_type, arg2_type, arg3_type, arg4_type,
@@ -161,4 +167,5 @@
   {
   public:
+    virtual ~_connection_base6() {};
     virtual has_slots<mt_policy>* getdest() const = 0;
     virtual void emit(arg1_type, arg2_type, arg3_type, arg4_type, arg5_type,
@@ -175,4 +182,5 @@
   {
   public:
+    virtual ~_connection_base7() {};
     virtual has_slots<mt_policy>* getdest() const = 0;
     virtual void emit(arg1_type, arg2_type, arg3_type, arg4_type, arg5_type,
@@ -189,4 +197,5 @@
   {
   public:
+    virtual ~_connection_base8() {};
     virtual has_slots<mt_policy>* getdest() const = 0;
     virtual void emit(arg1_type, arg2_type, arg3_type, arg4_type, arg5_type,